> For the complete documentation index, see [llms.txt](https://docs.plura.io/ko/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plura.io/ko/agents/siem/onprem.md).

# onprem

### 1. 기동

* [ ] username은 판매사에서 관리

1-1 KVM 콘솔 로그인

```sh
ssh root@192.168.0.1
```

1-2 vm 기동 (KVM 내의 가상 머신)

```sh
su - username
sudo bash ./start_plura_solr.sh
sudo bash ./start_plura_msa.sh  
```

1-3. ansilbe 서버 로그인

```sh
ssh username@10.10.10.250
```

1-4 스크립트 실행

```sh
/usr/bin/sh /home/username/onpremise/onpremise_config/plura_auto_startup.sh > plura_auto_startup.log 2>&1
```

### 2. 종료

2-1 스크립트 실행

```bash
/usr/bin/sh /home/username/onpremise/onpremise_config/plura_auto_shutdown.sh > plura_auto_stutdown.log 2>&1
```

2-2 서버 종료

```bash
ansible -i /home/username/ansible/hosts all-hosts -m shell -a "sudo shutdown now"
```

2-3  KVM 서버 종료

```bash
sudo shutdown now
```

### 3. 점검

3-1 접속 점검

```bash
ansible -i /home/username/ansible/hosts all-hosts -m shell -a "date"
```

3-2 시간 동기화

```bash
/usr/bin/sh /home/username/ansible/cronjob/a_ntpdate.sh
```

```bash
/usr/bin/sh /home/username/ansible/cronjob/a_chrony.sh
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.plura.io/ko/agents/siem/onprem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
